html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    line-height: 1;
    font-family: Arial, sans-serif;
}
.map_main {
    max-width: 1200px;
    margin: auto;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.map_main_header {
    margin-bottom: 1rem;
    color: #dc3545;
}

.my-map-svg.hover-path {
    fill: #f1f2f4;
    stroke: #b0b7c3;
    stroke-width: 1.04225;
    stroke-linecap: round;
    stroke-linejoin: round;
}

.selected {
    fill: #377ffb;
}

.hover-path:hover {
    fill: #1f4ec6;
    cursor: pointer;
}

.map_tooltip {
    position: absolute;
    background-color: #555;
    color: #fff;
    padding: 5px 10px;
    border-radius: 6px;
    font-size: 14px;
}
.map_container {
    width: 100%;
    height: auto;

    max-width: 1200px;
    margin: auto;
}
.container_data {
    position: relative;
}
.container_title {
    text-align: center;
    font-size: 1.3rem;
    margin-bottom: 2rem;
}
.data-regions {
    width: 100%;
    height: 200px;
    background-color: aliceblue;
}
.selected_region {
    margin: 0.5rem 0 1rem 0;
    padding: 1rem;
    border-radius: 0.4rem;
    background-color: white;
    border: 1px solid lightgrey;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.all-regions {
    border-radius: 0.4rem;
    border: 1px solid lightgrey;
    overflow-y: scroll !important;
    overflow: hidden;
    height: 0;
    transition: height 0.3s;
    position: absolute;
    max-height: 200px;
    width: 100%;
}
.all_region-content {
    padding: 1rem;
    background-color: white;
    border-bottom: 1px solid blue;
    cursor: pointer;
}

.all-regions :hover {
    background-color: rgb(234, 234, 234);
}
.rotate {
    transform: scaleY(-1) !important;
    transition: 0.5s;
}
.svgEnd {
    position: absolute;
    right: 20px;
}
.each-building {
    margin: 3rem 0;
    display: flex;
    gap: 1rem;
    flex-direction: column;
}

.building_values-names {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
    width: 100%;
    box-sizing: border-box;
}

.building_values-names > * {
    flex: 1 1 calc((100% - 2rem) / 3); /* Adjust to have three items per row */
    min-width: 0; /* Allow items to shrink below their base width */
    box-sizing: border-box;
}


.building_values-wrapper {
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding: 0;
    font-size: 1.2rem;
    overflow: hidden;
    height: 0;
    transition: height 0.3s ease;
}

.building_values-eachObject {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}
.building_values-eachObject:not(:last-child) {
    border-bottom: 1px solid blue;
    padding-bottom: 1rem;
}
.each_title {
    font-size: 1.5rem;
    color: black;
}
.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1rem 1.5rem;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
    cursor: pointer;
}
.info-text{
    overflow-wrap: break-word;
    white-space: normal;
}
@media screen and (max-width: 768px) {
    .map_main {
        padding: 1rem;
    }
    .each_title {
        font-size: 1rem;
    }
    .building_values-wrapper {
        font-size: 1rem;
    }
}
